Hooks:PostHook( WeaponFactoryTweakData, "init", "P38ModInit", function(self)
	self.parts.wpn_fps_pis_p38_irons.stance_mod = {
		wpn_fps_pis_p38 = {
			translation = Vector3(0, -2.2, -0.10),
			rotation = Rotation(0, -0.45, 0)
		}
	}
	self.wpn_fps_pis_p38.adds = {
		wpn_fps_upg_fl_pis_laser = {
			"wpn_fps_pis_p38_rail"
		},
		wpn_fps_upg_fl_pis_tlr1 = {
			"wpn_fps_pis_p38_rail"
		},
		wpn_fps_upg_fl_pis_crimson = {
			"wpn_fps_pis_p38_rail"
		},
		wpn_fps_upg_fl_pis_x400v = {
			"wpn_fps_pis_p38_rail"
		},
		wpn_fps_upg_fl_pis_m3x = {
			"wpn_fps_pis_p38_rail"
		}
	}
end )